Page MenuHomePhabricator

Patch Mishkal to use system logger rather than log to disk
Closed, ResolvedPublic0 Estimated Story Points

Event Timeline

kalle created this task.May 14 2020, 8:56 AM
kalle added a comment.May 14 2020, 9:12 AM

The problem with logging to disk is related to Blubber docker images builds -- they must then be marked as unsecure to allow for writing data to /srv/.

Mishkal logging seems to be semi-configurable. See interfaces/web/mishkal-webserver.py
Mishkal is Python2.7. :C

kalle added a comment.May 14 2020, 9:21 AM

Possibly it could log to stdout as we're not really that interested in the output, but it's nice to be able to inspect the log in case something goes south.

kalle added a subscriber: HannaLindgren.

Changed to use
logging.handlers.SysLogHandler(address = '/dev/log')
instead of
logging.StreamHandler()

Doesn't fully use syslog, though, there are still things printed to stdout, not sure from where.
But for each call to mishkal, a line like this shows up in syslog:

Sep 8 15:17:59 harald-Vox 2020-09-08 15:17:59,676 - Mishkal - INFO - 2020-09-08 03:17#011Tashkeel2#011 السويد

Maybe enough?

Need to update to latest version of mishkal

kalle set the point value for this task to 3.Oct 13 2020, 8:47 AM
kalle added a comment.Oct 13 2020, 9:06 AM

Will introduce as new file to avoid future merge conflicts. Will also require updating the entrypoints.

Change 634304 had a related patch set uploaded (by Karl Wettin (WMSE); owner: Karl Wettin (WMSE)):
[mediawiki/services/wikispeech/mishkal@master] Use system logger

https://gerrit.wikimedia.org/r/634304

Change 634304 merged by jenkins-bot:
[mediawiki/services/wikispeech/mishkal@master] Use system logger

https://gerrit.wikimedia.org/r/634304

kalle added a project: Wikispeech-WMSE.
Lokal_Profil changed the point value for this task from 3 to 0.Oct 29 2020, 8:22 AM
Sebastian_Berlin-WMSE closed this task as Resolved.Nov 12 2020, 12:22 PM